libcoap 4.3.2rc2

Functions
coap_netif_internal.h File Reference

Internal CoAP Netif support. More...

`#include "coap_internal.h"`

Go to the source code of this file.

## Functions
int | coap_netif_available (coap_session_t *session)
| Function interface to check whether netif for session is still available. More...
int | coap_netif_available_ep (coap_endpoint_t *endpoint)
| Function interface to check whether netif for endpoint is still available. More...
int | coap_netif_dgrm_listen (coap_endpoint_t *endpoint, const coap_address_t *listen_addr)
| Layer function interface for Netif datagram listem (udp). More...
int | coap_netif_dgrm_connect (coap_session_t *session, const coap_address_t *local_if, const coap_address_t *server, int default_port)
| Layer function interface for Netif datagram connect (udp). More...
ssize_t | coap_netif_dgrm_read (coap_session_t *session, coap_packet_t *packet)
| Function interface for layer data datagram receiving for sessions. More...
ssize_t | coap_netif_dgrm_read_ep (coap_endpoint_t *endpoint, coap_packet_t *packet)
| Function interface for layer data datagram receiving for endpoints. More...
ssize_t | coap_netif_dgrm_write (coap_session_t *session, const uint8_t *data, size_t datalen)
| Function interface for netif datagram data transmission. More...
int | coap_netif_strm_listen (coap_endpoint_t *endpoint, const coap_address_t *listen_addr)
| Layer function interface for Netif stream listem (tcp). More...
int | coap_netif_strm_accept (coap_endpoint_t *endpoint, coap_session_t *session)
| Layer function interface for Netif stream accept. More...
int | coap_netif_strm_connect1 (coap_session_t *session, const coap_address_t *local_if, const coap_address_t *server, int default_port)
| Layer function interface for Netif stream connect (tcp). More...
int | coap_netif_strm_connect2 (coap_session_t *session)
| Layer function interface for Netif stream connect (tcp). More...
ssize_t | coap_netif_strm_read (coap_session_t *session, uint8_t *data, size_t datalen)
| Function interface for layer data stream receiving. More...
ssize_t | coap_netif_strm_write (coap_session_t *session, const uint8_t *data, size_t datalen)
| Function interface for netif stream data transmission. More...
void | coap_netif_close (coap_session_t *session)
| Layer function interface for Netif close for a session. More...
void | coap_netif_close_ep (coap_endpoint_t *endpoint)
| Layer function interface for Netif close for a endpoint. More...

## Detailed Description

Internal CoAP Netif support.

Definition in file coap_netif_internal.h.